{pkgs, ...}:
{
    programs.kitty = {
        enable = true;
        shellIntegration.enableFishIntegration = true;
        settings = {
            background_opacity = 0.8;
            confirm_os_window_close = 0;
            enable_audio_bell = false;
            cursor_trail = 3;
            cursor_trail_decay = "0.1 0.4";
            url_style = "curly";
        };
        keybindings = {
            # copy and paste
            "ctrl+shift+c" = "copy_to_clipboard";
            "ctrl+shift+v" = "paste_from_clipboard";
            # zoom
            "ctrl+shift+plus" = "increase_font_size";
            "ctrl+shift+minus" = "decrease_font_size";
            "ctrl+shift+0" = "reset_font_size";
            # tabs
            "ctrl+shift+t" = "new_tab";
            "ctrl+shift+w" = "close_tab";
        };
    };
}
